<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Manejo del DOM con JS</title>
</head>
<body>
    <h1 id="titulo"> Manejo del DOM con JavaScript</h1>

    <br>
    Nombre: <input type="text" id="nombre">
    <br/><br>
    Apellido: <input type="text" id="apellido">

    <script>
        document.getElementById('nombre').addEventListener('focus', cambiar);
        document.getElementById('nombre').addEventListener('blur', regresar);

        document.getElementById('apellido').addEventListener('focus', cambiar);
        document.getElementById('apellido').addEventListener('blur', regresar);


        document.getElementById('titulo').addEventListener('mouseover', (e) => {

            let titulo = e.target;

            titulo.style.color="blue";

        });

        document.getElementById('titulo').addEventListener('mouseout', (e) => {

            let titulo = e.target;

            titulo.style.color="red";

        });


        

        function regresar(event){
            let componente = event.target;
            componente.style.background = "white";
        }

        

        function cambiar(evento){
            let componente = evento.target; 

            componente.style.background = "yellow";

        }
    </script>
    
</body>
</html>